# -*- coding: utf-8 -*-
from ppms.migration.packet import *


class PortFileHandlingTextConstants(SQLPacket):
    '''Port 2 new text constants for log messages in the PLANTA Link'''
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 12070

    fname = 'wi12070_improved_file_handling.sql'

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.fname)
        return self.success()
